{% extends 'base.html.twig' %}
{% block stylesheets %}
    <style>
        .userImg{
            padding: 3px;
            margin-bottom: 12px;
            width: 120px;
        }
        .row{
            color : #333;
        }
    </style>

    <link href="{{ asset("assets/plugins/bxslider/jquery.bxslider.css") }}" rel="stylesheet"/>
{% endblock %}

{% block body %}
{% include "_header.html.twig" %}
    <div class="main-container">
        <div class="container">
            <ol class="breadcrumb pull-left">
                <li><a href="#"><i class="icon-home fa"></i></a></li>
                <li><a href="{{ path('user_vehicles') }}">Mes annonces</a></li>
                <li><a href="#">Pièces de rechange</a></li>
            </ol>
            <div class="pull-right backtolist"><a href="#">
                    <i class="fa fa-angle-double-left"></i> Retour </a></div>
        </div>

    <div class="container">
        <div class="row">
            <div class="col-sm-9 page-content col-thin-right">
                <div class="inner inner-box ads-details-wrapper">
                    <h1 class="auto-heading">
                        <span class="auto-title left">{{ spare.title }} </span>
                        <span class="auto-price pull-right"> {{ spare.price  }} DT</span></h1>

                    <span class="info-row"> <span class="date"><i
                                    class=" icon-clock"> </i> <strong>Crée le </strong>:{{ spare.createdAt|date('d-M-Y') }}
                            , {{ spare.createdAt|date('H:i') }}</span> - <span
                                class="category">{% if spare.type == 3 %} Pièces de rechange {% endif %}</span>- <span
                                class="item-location"><i class="fa fa-map-marker"></i>{{ spare.user.address.city }} </span> </span>
                    <div class="ads-image ads-img-v2">
                        <div class="img-slider-box">
                            <div class="slider-left">
                                <ul class="bxslider">
                                    {% if spare.photos is not null %}
                                        {% for photo in spare.photos %}
                                            <li >

                                                <img src="{{ asset('uploads/applications/'~photo.name) }}" alt="img" width="550" height="373">
                                            </li>

                                        {% endfor %}
                                    {% endif %}
                                </ul>
                            </div>
                            <div id="bx-pager">
                                {% if photos is not null %}
                                    {% for photo in photos %}
                                        <a class="thumb-item-link active" data-slide-index="{{ loop.index0 }}" href="">
                                            <img src="{{ asset('uploads/applications/'~photo.name) }}" alt="img">
                                        </a>

                                    {% endfor %}
                                {% endif %}
                            </div>
                        </div>

                    </div>
                    <div class="Ads-Details">
                        {% if spare.description %}
                        <div class="row" style="padding : 30px">
                            <h5 class="list-title"><strong>Déscription</strong></h5>

                            <div class="ads-details-info col-md-8">
                                <p>{{ spare.description }} </p>
                            </div>
                        </div>
                        {% endif %}
                            <div class="row" style="padding : 30px">
                                <h5 class="list-title"><strong>Caractèristiques</strong></h5>
                                    <div class="ads-details-info col-md-8">
                                        <ul class="list-circle">
                                            <li>
                                                <p class=" no-margin "><strong>Condition:</strong>
                                                    {% if spare.state == 1%}
                                                        Nouveau
                                                    {% else %}
                                                        Occasion
                                                    {% endif %}  </p>
                                            </li>
                                            {% if  spare.city is not null %}
                                                <li>
                                                    <p class="no-margin"><strong>Address:</strong> {{ spare.city.name }} </p>
                                                </li>
                                            {% endif %}
                                            <li>
                                                <p class="no-margin"><strong>Marque - modèle:</strong> {{ spare.marque }} - {{ spare.modele }}</p>
                                            </li>
                                        </ul>

                                    </div>
                            </div>
                            {# <div class="col-md-4">
                                 <aside class="panel panel-body panel-details">
                                     <ul>
                                         <li>
                                             <p class=" no-margin "><strong>Prix:</strong> {{ spare.price }} DT</p>
                                         </li>

                                         <li>
                                             <p class=" no-margin "><strong>Age:</strong> {{ spare.year }}</p>
                                         </li>

                                     </ul>
                                 </aside>
                                 {#
                                 <div class="ads-action">
                                     <ul class="list-border">
                                         <li><a href="#"> <i class=" fa fa-heart"></i> J'aime </a></li>
                                         <li><a href="#"> <i class="fa fa-share-alt"></i> Partager </a></li>
                                         <li><a href="#reportAdvertiser" data-toggle="modal"> <i class="fa icon-info-circled-alt"></i> Report abuse </a></li>
                                     </ul>
                                 </div>

                            </div> #}
                        <div class="content-footer text-left" style="margin-left : 20px">
                            <a class="btn  btn-default" data-toggle="modal" >
                                <i class=" icon-mail-2"></i> {{ spare.user.email }} </a>
                            {% if spare.user.visiblePhone %}
                                <a class="btn  btn-info">
                                    <i class=" icon-phone-1"></i> {{ spare.user.phone }}
                                </a>
                            {% endif %}
                        </div>
                        </div>
                    </div>
                </div>

            <div class="col-sm-3  page-sidebar-right">
                <aside>
                    <div class="panel sidebar-panel panel-contact-seller">
                        <div class="panel-heading" style="text-align: center">Annonceur</div>
                        <div class="panel-content user-info">
                            <div class="panel-body text-center">
                                <div class="seller-info">
                                    <div class="company-logo-thumb">
                                        {% if  spare.user.photo is not null %}
                                            <a href=""><img class="userImg" src="{{ asset('uploads/photos/'~ spare.user.photo.path) }}" alt="user">
                                            </a>
                                        {% else %}
                                            <a href=""><img class="userImg" src="{{ asset('backassets/images/avatars/no-image.jpg') }}" alt="user">
                                            </a>
                                        {% endif %}
                                    </div>
                                    <h4 class="no-margin"> {{ spare.user.firstname | title }} {{ spare.user.lastname | title}}</h4>
                                    <p>Location: <strong>{{ spare.user.address.street }} - {{ spare.user.address.city }}</strong></p>

                                </div>
                                <div class="">
                                    {#<a href="#" data-toggle="modal" class="btn   btn-danger btn-block"><i class=" icon-link"></i> Plus d'info ! </a>#}
                                    {% if app.user is not null and app.user.id ==  spare.user.id %}
                                        <a href="{{ path('spare_edit', {id : spare.id, type : spare.type}) }}" class="btn btn-warning" style="font-size: 12px" >Modifier l'annonce</a>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel sidebar-panel">
                        <div class="panel-heading">Conseils de sécurité pour les acheteurs</div>
                        <div class="panel-content">
                            <div class="panel-body text-left">

                                <ul class="list-check">
                                    <li> Rencontrer le vendeur dans un lieu public</li>
                                    <li> Vérifiez l'élément avant d'acheter</li>
                                    <li> Payer uniquement après avoir collecté l'élement</li>
                                </ul>
                            </div>
                        </div>
                    </div>

                </aside>
            </div>

            </div>


    </div>
    </div>


    {% include "_footer.html.twig" %}
{% endblock %}
{% block javascript %}

    <script>
        $('.bxslider').bxSlider({
            pagerCustom: '#bx-pager',
            adaptiveHeight: true
        });

    </script>
{% endblock %}
